IndexSummaryManagerMBean (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.io.sstable

## Interface IndexSummaryManagerMBean

- All Known Implementing Classes:
    IndexSummaryManager

      public interface IndexSummaryManagerMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAverageIndexInterval()`
    `java.util.Map<java.lang.String,java.lang.Integer>` | `getIndexIntervals()` Returns a map of SSTable filenames to their current effective index interval.
    `long` | `getMemoryPoolCapacityInMB()`
    `double` | `getMemoryPoolSizeInMB()` Returns the current actual off-heap memory usage of the index summaries for all non-compacting sstables.
    `int` | `getResizeIntervalInMinutes()`
    `void` | `redistributeSummaries()`
    `void` | `setMemoryPoolCapacityInMB(long memoryPoolCapacityInMB)`
    `void` | `setResizeIntervalInMinutes(int resizeIntervalInMinutes)`

- - ### Method Detail

    - #### getMemoryPoolCapacityInMB

          long getMemoryPoolCapacityInMB()

    - #### setMemoryPoolCapacityInMB

          void setMemoryPoolCapacityInMB(long memoryPoolCapacityInMB)

    - #### getMemoryPoolSizeInMB

          double getMemoryPoolSizeInMB()

      Returns the current actual off-heap memory usage of the index summaries for all non-compacting sstables.
      Returns:
        The amount of memory used in MB.

    - #### getIndexIntervals

          java.util.Map<java.lang.String,java.lang.Integer> getIndexIntervals()

      Returns a map of SSTable filenames to their current effective index interval.

    - #### getAverageIndexInterval

          double getAverageIndexInterval()

    - #### redistributeSummaries

          void redistributeSummaries()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getResizeIntervalInMinutes

          int getResizeIntervalInMinutes()

    - #### setResizeIntervalInMinutes

          void setResizeIntervalInMinutes(int resizeIntervalInMinutes)

Copyright © 2014 The Apache Software Foundation